/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface District
 */
export interface District {
    /**
     * 
     * @type {string}
     * @memberof District
     */
    districtName: string;
    /**
     * 
     * @type {string}
     * @memberof District
     */
    districtNameCs: string;
}

export function DistrictFromJSON(json: any): District {
    return DistrictFromJSONTyped(json, false);
}

export function DistrictFromJSONTyped(json: any, ignoreDiscriminator: boolean): District {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'districtName': json['district_name'],
        'districtNameCs': json['district_name_cs'],
    };
}

export function DistrictToJSON(value?: District | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'district_name': value.districtName,
        'district_name_cs': value.districtNameCs,
    };
}


